import QtQuick 1.0
import Qt.labs.components.native 1.0

Item {
    property alias resultsPage: resultsPage
    property alias imageViewPage: imageViewPage
    property variant imageViewTools  // to be filled with platform-specific toolbar
    property variant mainTools
    //    property alias mainMenu: mainMenu
    property alias mainTab: mainTab
    property alias schedulerPage: schedulerPage
    property alias mainTabWrapper: mainTabWrapper
//    anchors.fill: parent

    Page {
        id: mainTabWrapper
        anchors.fill: parent
        orientationLock: PageOrientation.LockPortrait

        TabGroup {
            anchors.fill: parent
            currentTab: mainTab

            PageStack {
                id: mainTab
                anchors.fill: parent
//                currentPage: resultsPage



                MainPage {
                    id: resultsPage
                    anchors.fill: parent

                    onThumbnailClicked: {
                        //            console.log("MW: thumbnail clicked. smallImageUrl is" + smallImageUrl)
                        imageViewPage.expectedWidth = expectedWidth
                        imageViewPage.expectedHeight = expectedHeight
                        imageViewPage.smallImageUrl = smallImageUrl
                        imageViewTools.visible = true
//                        mainTabWrapper.tools = imageViewTools
                        window.pageStack.toolBar.setTools(imageViewTools)
                        mainTab.push(imageViewPage)
                    }
                    tools: mainTools

                    onStatusChanged:  {
                        console.log("CWP: MP statsus changed to " + status)
                    }
                }

                ImageViewPage {
                    id: imageViewPage
                    tools: imageViewTools
                    cutCentralPartFromLandscapishImages: resultsPage.cutCentralPartFromLandscapishImages

                    onStatusChanged: {
                        console.log("CWP: IVP statsus changed to " + status)
                    }
                }

            }

            SchedulerPage {
                id: schedulerPage
                tools: mainTools
            }

        }

        tools: mainTools
    }



    Component.onCompleted: {
                mainTab.push(resultsPage)
    }

}
