import QtQuick 1.0
import Qt.labs.components.native 1.0

Window
{
    id: window

    //for testability
//    property alias pageStack: pageStack
    property alias resultsPage: commonParts.resultsPage
    property alias imageViewPage: commonParts.imageViewPage

//    PageStack {
//        id: pageStack

//        anchors.left: parent.left
//        anchors.right: parent.right
//        anchors.top: parent.top
//        anchors.bottom: applicationToolBar.top

//        toolBar: applicationToolBar
//        currentPage: commonParts.mainTabWrapper
//    }

    CommonWindowParts {
        id: commonParts
        anchors.fill: parent
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: parent.top
        anchors.bottom: applicationToolBar.top
        imageViewTools: imageViewTools
        mainTools: mainTools
    }

//    ToolBarLayout {
//        id: imageViewTools
//        ButtonRow{
////            style: TabButtonStyle {}
//            ToolButton {
//                iconSource: "toolbar-back"
//                onClicked: pageStack.pop()
//            }
//            ToolButton {
//                text: "Set wallpaper"

//                onClicked: {

//                }
//            }
//        }
//    }

    ToolBar {
        id: applicationToolBar
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.bottom: parent.bottom
        tools: mainTools
    }

    ToolBarLayout {
        id: mainTools

        ButtonRow {
//            style: TabButtonStyle { }
            //        style: TabButtonStyle { }
            TabButton {
                iconSource: "images/icon-toolbar-browse-images.png"
                tab: commonParts.mainTab
                onClicked: {
                    //                        console.log("CWP: currentPage == resultsPage: " + (pageStack.currentPage == resultsPage))
                    //                        pageStack.replace(resultsPage)
                }
            }
            TabButton {
                //                     anchors.left: parent.horizontalCenter
                //                     anchors.right: parent.right
                //                     text: "Schedule"
                //                     onClicked: pageStack.replace(schedulerPage)
                //                     iconSource: "../../icons/schedule-low-end.png"
                iconSource: "images/icon-scheduler-settings.png"
                tab: commonParts.schedulerPage
            }

        }
        ToolButton {
//            platformIconId: "icon-m-toolbar-view-menu"
            iconSource: "toolbar-menu"
            onClicked: {
                console.log("hMW: menu icon clicked")
                mainMenu.open()
            }
        }
    }

    ToolBarLayout {
        id: imageViewTools
        visible: false
        ToolButton {
//            platformIconId: "toolbar-back"
            iconSource: "toolbar-back"
            onClicked: {
                console.log("hMW: imageViewTools.back clicked")
                pageStack.pop()
            }
        }

        ToolButton {
            text: "Set wallpaper"

            onClicked: {
                console.log("hMW: Set Wallpaper clicked, small url is " + commonParts.imageViewPage.smallImageUrl)
                console.log("hMW: Set Wallpaper clicked, large url is " + commonParts.imageViewPage.largeImageUrl())
                //                 wallpaperChanger.setWallpaperToImage(commonParts.imageViewPage.bigImage.getImageForLevel(2))
                wallpaperChanger.setWallpaper(commonParts.imageViewPage.largeImageUrl())
            }
        }
    }

//    Component.onCompleted: pageStack.push(commonParts.resultsPage)
}
