.pragma library

// name, hoursToWaitBetweenUpdates
var allowedIntervalNames = [
        ["Once an hour", 1],
        ["Once a day", 24],
        ["Once per two days", 48],
        ["Once a week", 168],
        ["Once a month", 720] // ok, once a month isn't 720 every time.. will be specially handled on c++ side
    ]

// makes an _s, _m, or _b url out of _s one (or any ther one ending with _x.jpg
// @arg detailLevel: accepts 0, 1 or 2. 0 - thumbnail, 1 - medium, 2 - 1024px (longest size)
// @return sourceUrl, but with _s, _m oe _b
function urlForImageLevel(sourceUrl, detailLevel) {
//        console.log("TI: requested url for level " +detailLevel)
    var replacement = "s"  // defaul one
    switch(detailLevel) {
    case 0:
        replacement = "s"
        break
    case 1:
        replacement = "m"
        break
    case 2:
        replacement = "b"
        break
    }

    var res = sourceUrl.replace(/(\w)(\.\w{2,4}$)/, replacement + "$2")

//        console.log("TI: url: returning " + res + " for " + sourceUrl + " and " + detailLevel)
    return res
}
