import QtQuick 1.1
import Qt.labs.components.native 1.0

PageStackWindow {
    //Window {
    id: window
    property int pageMargin: 16  // @TODO replace with the proper constant

    // user wants to set device wallpaper to the object at a given url
    // expect large picture url here
    //     signal setWallpaper(string url)

    initialPage: commonParts.mainTabWrapper


    CommonWindowParts {
        id: commonParts
        //         anchors.fill: parent
        imageViewTools: imageViewTools
        mainTools: mainTools
    }

    QueryDialog {
        id: aboutDialog
        titleText: "About Daily Wallpaper 1.1"

        message: "Daily wallpaper is made by Artem Marchenko and it is going to stay free until at least end of Winter \
        <br/><br/> \
        Feedback, feature ideas or problems? Please visit \
        <a style='color:#ff0000; word-wrap: break-word' href='http://dailywallpaper.uservoice.com'>http://dailywallpaper.uservoice.com</a>\
        and vote or add a comment.<br/><br/>\
        I want to make this app even better, so your opinion is important.<br/><br/>\
        Images used are coming from flickr and may have lots of rights reserved."



        acceptButtonText: "OK"

        Component.onCompleted: {
            var messageTextElement = aboutDialog.children[0].children[1].children[0].children[0].children[0].children[0].children[0]
            messageTextElement.wrapMode = Text.WrapAtWordBoundaryOrAnywhere
            messageTextElement.linkActivated.connect( function(link) {
                                                         console.log("main: link activated: " + link)
                                                         Qt.openUrlExternally(link)
                                                     }
                                                     )
        }


    }

    Menu {
        id: mainMenu
        // visualParent is needed to specify the grayed out area.
        //            visualParent: mainTab
        MenuLayout {
            MenuItem {
                text: "About";
                onClicked: {
                    aboutDialog.open()
                }
            }

        }
    }


    ToolBarLayout {
        id: mainTools

        ButtonRow {
            style: TabButtonStyle { }
            //        style: TabButtonStyle { }
            TabButton {
                iconSource: "images/icon-toolbar-browse-images.png"
                tab: commonParts.mainTab
                onClicked: {
                    //                        console.log("CWP: currentPage == resultsPage: " + (pageStack.currentPage == resultsPage))
                    //                        pageStack.replace(resultsPage)
                }
            }
            TabButton {
                //                     anchors.left: parent.horizontalCenter
                //                     anchors.right: parent.right
                //                     text: "Schedule"
                //                     onClicked: pageStack.replace(schedulerPage)
                //                     iconSource: "../../icons/schedule-low-end.png"
                iconSource: "images/icon-scheduler-settings.png"
                tab: commonParts.schedulerPage
            }

        }
        ToolIcon {
            platformIconId: "icon-m-toolbar-view-menu"
            onClicked: {
                console.log("hMW: menu icon clicked")
                mainMenu.open()
            }
        }
    }

    ToolBarLayout {
        id: imageViewTools
        visible: false
        ToolIcon {
            platformIconId: "icon-m-toolbar-back"
            onClicked: {
                console.log("hMW: imageViewTools.back clicked")
                window.pageStack.toolBar.setTools(mainTools)
                commonParts.mainTab.pop()
            }
        }

        ToolButton {
            text: "Set wallpaper"

            onClicked: {
                console.log("hMW: Set Wallpaper clicked, small url is " + commonParts.imageViewPage.smallImageUrl)
                console.log("hMW: Set Wallpaper clicked, large url is " + commonParts.imageViewPage.largeImageUrl())
                //                 wallpaperChanger.setWallpaperToImage(commonParts.imageViewPage.bigImage.getImageForLevel(2))
                wallpaperChanger.setWallpaper(commonParts.imageViewPage.largeImageUrl())
            }
        }
    }

}
